Description

ERROR rgw_client] RGW REST API cannot be reached: Connection refused [errno 111]. Please check your configuration and that

the API endpoint is accessible

Traceback (most recent call last):

File "/lib/python3.6/site-packages/urllib3/connection.py", line 162, in _new_conn

(self._dns_host, self.port), self.timeout, **extra_kw)

File "/lib/python3.6/site-packages/urllib3/util/connection.py", line 80, in create_connection

raise err

File "/lib/python3.6/site-packages/urllib3/util/connection.py", line 70, in create_connection

sock.connect(sa)

ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "/lib/python3.6/site-packages/urllib3/connectionpool.py", line 600, in urlopen

chunked=chunked)

File "/lib/python3.6/site-packages/urllib3/connectionpool.py", line 354, in _make_request

conn.request(method, url, **httplib_request_kw)

File "/lib64/python3.6/http/client.py", line 1269, in request

self._send_request(method, url, body, headers, encode_chunked)

File "/lib64/python3.6/http/client.py", line 1315, in _send_request

self.endheaders(body, encode_chunked=encode_chunked)

File "/lib64/python3.6/http/client.py", line 1264, in endheaders

self._send_output(message_body, encode_chunked=encode_chunked)

File "/lib64/python3.6/http/client.py", line 1040, in _send_output

self.send(msg)

File "/lib64/python3.6/http/client.py", line 978, in send

self.connect()

File "/lib/python3.6/site-packages/urllib3/connection.py", line 184, in connect

conn = self._new_conn()

File "/lib/python3.6/site-packages/urllib3/connection.py", line 171, in _new_conn

self, "Failed to establish a new connection: %s" % e)

urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f6c5aa508d0>: Failed to establish a new

connection: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "/lib/python3.6/site-packages/requests/adapters.py", line 449, in send

timeout=timeout

File "/lib/python3.6/site-packages/urllib3/connectionpool.py", line 638, in urlopen

_stacktrace=sys.exc_info()[2])
File "/lib/python3.6/site-packages/urllib3/util/retry.py", line 399, in increment

raise MaxRetryError(_pool, url, error or ResponseError(cause))

urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='10.32.9.23', port=8080): Max retries exceeded with url:

/admin/metadata/user?myself (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f6c5aa508d0>:

Failed to establish a new connection: [Errno 111] Connection refused',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "/usr/share/ceph/mgr/dashboard/rest_client.py", line 399, in do_request

url, headers=request_headers, params=params, auth=self.auth)

File "/lib/python3.6/site-packages/requests/sessions.py", line 546, in get

return self.request('GET', url, **kwargs)

File "/usr/share/ceph/mgr/dashboard/rest_client.py", line 48, in request

return super(TimeoutRequestsSession, self).request(*args, **kwargs)

File "/lib/python3.6/site-packages/requests/sessions.py", line 533, in request

resp = self.send(prep, **send_kwargs)

File "/lib/python3.6/site-packages/requests/sessions.py", line 646, in send

r = adapter.send(request, **kwargs)

File "/lib/python3.6/site-packages/requests/adapters.py", line 516, in send

raise ConnectionError(e, request=request)

requests.exceptions.ConnectionError: HTTPConnectionPool(host='10.32.9.23', port=8080): Max retries exceeded with url:

/admin/metadata/user?myself (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f6c5aa508d0>:

Failed to establish a new connection: [Errno 111] Connection refused',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "/usr/share/ceph/mgr/dashboard/services/rgw_client.py", line 417, in init

self.userid = self._get_user_id(self.admin_path) if self.got_keys_from_config \

File "/usr/share/ceph/mgr/dashboard/rest_client.py", line 535, in func_wrapper

**kwargs)

File "/usr/share/ceph/mgr/dashboard/services/rgw_client.py", line 452, in _get_user_id

response = request()

File "/usr/share/ceph/mgr/dashboard/rest_client.py", line 324, in call

data, raw_content, headers)

File "/usr/share/ceph/mgr/dashboard/rest_client.py", line 501, in do_request

ex_msg, conn_errno=errno, conn_strerror=strerror)

dashboard.rest_client.RequestException: RGW REST API cann

History

#1 - 04/07/2022 01:57 PM - Casey Bodley

- Status changed from New to Need More Info

i don't really understand the title:

RGW is not starting in public_network when MON are in cluster_network even when endpoint is set

 

what does 'when endpoint is set' mean here? rgw needs to communicate with the ceph-mons, so they need to be on the same network

#2 - 04/09/2022 07:50 AM - Diya Oweis

Hmm. So Dashboard RGW and MON have to be on the same network, otherwise dashboard will not show information about buckets?

#3 - 04/21/2022 02:26 PM - Casey Bodley
dashboard, rgw, and ceph-mon would all need to be on the same network

#4 - 04/21/2022 02:26 PM - Casey Bodley

- Status changed from Need More Info to Closed
